#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(Oct6100ChipOpen, "", "");
KSYMTAB_FUNC(Oct6100ChipClose, "", "");
KSYMTAB_FUNC(Oct6100ChipCloseDef, "", "");
KSYMTAB_FUNC(Oct6100GetInstanceSize, "", "");
KSYMTAB_FUNC(Oct6100GetInstanceSizeDef, "", "");
KSYMTAB_FUNC(Oct6100ChipOpenDef, "", "");
KSYMTAB_FUNC(Oct6100ChannelModify, "", "");
KSYMTAB_FUNC(Oct6100ToneDetectionEnableDef, "", "");
KSYMTAB_FUNC(Oct6100InterruptServiceRoutine, "", "");
KSYMTAB_FUNC(Oct6100InterruptServiceRoutineDef, "", "");
KSYMTAB_FUNC(Oct6100ApiGetCapacityPins, "", "");
KSYMTAB_FUNC(Oct6100ToneDetectionEnable, "", "");
KSYMTAB_FUNC(Oct6100EventGetToneDef, "", "");
KSYMTAB_FUNC(Oct6100EventGetTone, "", "");
KSYMTAB_FUNC(Oct6100ApiGetCapacityPinsDef, "", "");
KSYMTAB_FUNC(Oct6100ChannelOpen, "", "");
KSYMTAB_FUNC(Oct6100ChannelOpenDef, "", "");
KSYMTAB_FUNC(Oct6100ChannelModifyDef, "", "");

MODULE_INFO(depends, "dahdi");

